Bug 33729 - ext2fs does not actually allocate space in this particular scenerio
Summary: ext2fs does not actually allocate space in this particular scenerio
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: e2fsprogs   
(Show other bugs)
Version: 6.0
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-29 01:47 UTC by Vaibhav A Nalawade
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-29 01:47:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vaibhav A Nalawade 2001-03-29 01:47:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.73 [en] (Windows NT 5.0; U)


Hi ,

    This is in reference to bug 29991. 
    In a program  open a file and jump to 2GB offset and insert a character  at that offset 
    and close the file. The ls -l command shows the file size to be 2GB but df -k command does not 
    show any change in the disk space allocation.In other words the space is not actually allocated. 

Reproducible: Always
Steps to Reproduce:
1.In a program open a file
2.Jump to 2GB offset and try writing a character to the file
3.Close the file
4. 	

Actual Results:  ls -l command shows the file size to be 2GB.
df -k however does not show that 2GB file size is allocated.


Expected Results:  
Question : 1)  How do I allocate 2GB of file size without actually writing 2GB of data to the file ? 
                2)  Do we have some file system tunning parameter so that when ever we jump to 2GB offset and write
                    a character - 2GB size file get allocated on the disk ?
                3)  The file system is trying to do some sort of optimization. I want to turn off this optimization. This is required
                     for database use.    . 

Regards 
Vaibhav Nalawade

Comment 1 Florian La Roche 2001-04-06 21:01:15 UTC
the filesystem is smart and creates "holes" if you seek beyond the end of the
file



Note You need to log in before you can comment on or make changes to this bug.